
Ruby - Bug #3958

The Fiber instance method 'alive?' is not defined.

10/18/2010 01:09 AM - lholden (Lori Holden)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version: 1.9.2   

ruby -v: ruby 1.9.2p0 (2010-08-18 revision

29036) [x86_64-darwin10.4.0]

Backport:  

Description

=begin

The Fiber instance method 'alive?' is documented as existing, but is not actually defined.

ruby-1.9.2-p0 > Fiber.new.alive?

NoMethodError: undefined method alive?' for #<Fiber:0x000001009fcaf8> from (irb):8 from

/Users/Lori/.rvm/rubies/ruby-1.9.2-p0/bin/irb:17:in '

=end

History

#1 - 10/18/2010 04:08 AM - runpaint (Run Paint Run Run)

=begin

You have to require 'fiber' first.

=end

#2 - 10/18/2010 10:25 AM - naruse (Yui NARUSE)

- Status changed from Open to Rejected

=begin

=end
